org.apache.calcite.avatica.util

## Interface Cursor.Accessor

All Known Implementing Classes:
  AbstractCursor.AccessorImpl, AbstractCursor.ApproximateNumericAccessor, AbstractCursor.ArrayAccessor, AbstractCursor.BigDecimalAccessor, AbstractCursor.BigNumberAccessor, AbstractCursor.BinaryAccessor, AbstractCursor.BinaryFromStringAccessor, AbstractCursor.BooleanAccessor, AbstractCursor.ByteAccessor, AbstractCursor.DateAccessor, AbstractCursor.DateFromNumberAccessor, AbstractCursor.DoubleAccessor, AbstractCursor.ExactNumericAccessor, AbstractCursor.FixedStringAccessor, AbstractCursor.FloatAccessor, AbstractCursor.IntAccessor, AbstractCursor.IntervalDayTimeAccessor, AbstractCursor.IntervalYearMonthAccessor, AbstractCursor.LongAccessor, AbstractCursor.NumberAccessor, AbstractCursor.ObjectAccessor, AbstractCursor.ShortAccessor, AbstractCursor.StringAccessor, AbstractCursor.StringFromCharAccessor, AbstractCursor.StructAccessor, AbstractCursor.TimeAccessor, AbstractCursor.TimeFromNumberAccessor, AbstractCursor.TimestampAccessor, AbstractCursor.TimestampFromNumberAccessor, AbstractCursor.TimestampFromUtilDateAccessor

Enclosing interface:
  Cursor

    public static interface Cursor.Accessor

Accessor of a column value.

### Method Summary

All Methods Instance Methods Abstract Methods
`Array` `getArray()`
`InputStream` `getAsciiStream()`
`BigDecimal` `getBigDecimal()`
`BigDecimal` `getBigDecimal(int scale)`
`InputStream` `getBinaryStream()`
`Blob` `getBlob()`
`boolean` `getBoolean()`
`byte` `getByte()`
`byte[]` `getBytes()`
`Reader` `getCharacterStream()`
`Clob` `getClob()`
`Date` `getDate(Calendar calendar)`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`long` `getLong()`
`Reader` `getNCharacterStream()`
`NClob` `getNClob()`
`String` `getNString()`
`Object` `getObject()`
`<T> T` `getObject(Class<T> type)`
`Object` `getObject(Map<String,Class<?>> map)`
`Ref` `getRef()`
`short` `getShort()`
`SQLXML` `getSQLXML()`
`String` `getString()`
`Time` `getTime(Calendar calendar)`
`Timestamp` `getTimestamp(Calendar calendar)`
`InputStream` `getUnicodeStream()`
`URL` `getURL()`
`boolean` `wasNull()`

### Method Detail

#### wasNull

    boolean wasNull()
             throws SQLException

Throws:
  `SQLException`

#### getString

    String getString()
              throws SQLException

Throws:
  `SQLException`

#### getBoolean

    boolean getBoolean()
                throws SQLException

Throws:
  `SQLException`

#### getByte

    byte getByte()
          throws SQLException

Throws:
  `SQLException`

#### getShort

    short getShort()
            throws SQLException

Throws:
  `SQLException`

#### getInt

    int getInt()
        throws SQLException

Throws:
  `SQLException`

#### getLong

    long getLong()
          throws SQLException

Throws:
  `SQLException`

#### getFloat

    float getFloat()
            throws SQLException

Throws:
  `SQLException`

#### getDouble

    double getDouble()
              throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    BigDecimal getBigDecimal()
                      throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    BigDecimal getBigDecimal(int scale)
                      throws SQLException

Throws:
  `SQLException`

#### getBytes

    byte[] getBytes()
             throws SQLException

Throws:
  `SQLException`

#### getAsciiStream

    InputStream getAsciiStream()
                        throws SQLException

Throws:
  `SQLException`

#### getUnicodeStream

    InputStream getUnicodeStream()
                          throws SQLException

Throws:
  `SQLException`

#### getBinaryStream

    InputStream getBinaryStream()
                         throws SQLException

Throws:
  `SQLException`

#### getObject

    Object getObject()
              throws SQLException

Throws:
  `SQLException`

#### getCharacterStream

    Reader getCharacterStream()
                       throws SQLException

Throws:
  `SQLException`

#### getObject

    Object getObject(Map<String,Class<?>> map)
              throws SQLException

Throws:
  `SQLException`

#### getRef

    Ref getRef()
        throws SQLException

Throws:
  `SQLException`

#### getBlob

    Blob getBlob()
          throws SQLException

Throws:
  `SQLException`

#### getClob

    Clob getClob()
          throws SQLException

Throws:
  `SQLException`

#### getArray

    Array getArray()
            throws SQLException

Throws:
  `SQLException`

#### getDate

    Date getDate(Calendar calendar)
          throws SQLException

Throws:
  `SQLException`

#### getTime

    Time getTime(Calendar calendar)
          throws SQLException

Throws:
  `SQLException`

#### getTimestamp

    Timestamp getTimestamp(Calendar calendar)
                    throws SQLException

Throws:
  `SQLException`

#### getURL

    URL getURL()
        throws SQLException

Throws:
  `SQLException`

#### getNClob

    NClob getNClob()
            throws SQLException

Throws:
  `SQLException`

#### getSQLXML

    SQLXML getSQLXML()
              throws SQLException

Throws:
  `SQLException`

#### getNString

    String getNString()
               throws SQLException

Throws:
  `SQLException`

#### getNCharacterStream

    Reader getNCharacterStream()
                        throws SQLException

Throws:
  `SQLException`

#### getObject

    <T> T getObject(Class<T> type)
             throws SQLException

Throws:
  `SQLException`